/*
	File:		C TchKeywords.r
	
	Contains:	Resource formats used by MPW Technicolor.
	
	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.
	
	Version:	1.0
*/

#include "Technicolor.r"

resource 'Sods' (kCKeywordsID, "C Keywords")
{
	{// comment
	"//",		kColorTilEndLine, 0;
	"/*",		kBeginComment, 0;
	"*/",		kEndComment, 0;
	
	// preprocessor lines
	"#",			kColorTilEndLine, 1;

	// storage classes
	"static",	kEntireWord, 1;
	"auto",		kEntireWord, 1;
	"const",		kEntireWord, 1;
	"mutable",	kEntireWord, 1;
	"extern",	kEntireWord, 1;
	
	// type qualifiers
	"unsigned",	kEntireWord, 1;
	"signed",	kEntireWord, 1;
	
	// function qualifiers
	"pascal",	kEntireWord, 1;
	"virtual",	kEntireWord, 1;
	"operator",	kEntireWord, 1;
	
	// intrinsics
	"sizeof",	kEntireWord, 1;
	"new",		kEntireWord, 1;
	"delete",	kEntireWord, 1;
	"typeid",	kEntireWord, 1;

#if 0
	// operators
	"+",			0, 2;
	"-", 		0, 2;
	"/", 		0, 2;
	"*", 		0, 2;
	"=", 		0, 2; 
	"+", 		0, 2;
	"&", 		0, 2;
	"|", 		0, 2;
	"^", 		0, 2;
#endif

	// type declarations
	"typedef",	kEntireWord, 1;
	"class",		kEntireWord, 1;
	"struct",	kEntireWord, 1;
	"union",		kEntireWord, 1;
	"enum",		kEntireWord, 1;
	"template",	kEntireWord, 1;
	"friend",	kEntireWord, 1;
	
	// built-in types
	"bool",		kEntireWord, 1;
	"long",		kEntireWord, 1;
	"short",	kEntireWord, 1;
	"float",	kEntireWord, 1;
	"double",	kEntireWord, 1;
	"char",		kEntireWord, 1;
	"int",		kEntireWord, 1;
	"void",		kEntireWord, 1;

	// control logic
	"break",	kEntireWord, 1;
	"for",		kEntireWord, 1;
	"switch",	kEntireWord, 1;
	"case",		kEntireWord, 1;
	"default",	kEntireWord, 1;
	"while",		kEntireWord, 1;
	"do",		kEntireWord, 1;
	"if",		kEntireWord, 1;
	"else",		kEntireWord, 1;
	"continue",	kEntireWord, 1;
	"return",	kEntireWord, 1;
	
	// exceptions
	"try",		kEntireWord, 1;
	"catch",		kEntireWord, 1;
	"throw",		kEntireWord, 1;
	
	// RTTI
	"dynamic_cast",			kEntireWord, 1;
	"static_cast",			kEntireWord, 1;
	"reinterpret_cast",		kEntireWord, 1;
	"const_cast",			kEntireWord, 1;
	
	// namespaces
	"using",		kEntireWord, 1;
	"namespace",	kEntireWord, 1;
	}
};
