/*
	File:		Technicolor.r
	
	Contains:	Resource formats used by MPW Technicolor.
	
	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.
	
	Version:	0.7
*/

#define	kCKeywordsID		128
#define kRezKeywordsID		129
#define	kShellKeywordsID	130
#define	kPascalKeywordsID	131
#define	kAsm68kKeywordsID	132	// unimplemented
#define	kAsmPPCKeywordsID	133	// unimplemented
#define	kDylanKeywordsID	134 // unimplemented
#define	kJavaKeywordsID		135 // unimplemented
#define	kFortranKeywordsID	140 // unimplemented
#define	kPerlKeywordsID		150 // unimplemented
#define	kVerilogKeywordsID	160 // unimplemented

/* colors */
type 'kJai'
{
 	array
 	{
 		unsigned integer;
 		unsigned integer;
 		unsigned integer;
 	};
};

/* keywords */
type 'Sods'
{
	longint = $$CountOf(Keywords);
	array Keywords
	{
		pstring;
		longint kNoFlags = 0, 
				kEntireWord = 1,
				kEntireWordInsensitive = 2,
				kColorTilEndLine = 3,
				kBeginComment = 4,
				kEndComment = 5;
		longint;	// color
	};
};

/* filetypes -> keywords */
type 'Odds'
{
	longint;
	longint = $$CountOf(Mapping);
	array Mapping
	{
		pstring;	// dot extension
	};
};

type 'WGFA'
{
	// call through to this resource if it exists:
	literal longint;	// type
	longint;			// id
};
